
export interface ICardProjBodyLine {
    title: string;
    contents: string[];
}

export interface ICardProjChargeLine {
    id: string;
    title: string;
    price: number;
}

export interface ICardProjBuy {
    id: string;
    label?: string,
    price: number;

    handleClick(title: string, additional: {
        pkg: boolean,
        videoDemo: boolean
    }): void;
}

export interface ICardProj {
    head: string;
    bodyLineArray: ICardProjBodyLine[];
    chargeLineArray?: ICardProjChargeLine[];
    buyArray: ICardProjBuy[];
    newArray:ICardProjBodyLine[];
}